Bug 452802 - TOC numbering and xrefs are incorrect in pdf output
TOC numbering and xrefs are incorrect in pdf output
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-25 03:10 EDT by David O'Brien
Modified: 2010-11-23 22:59 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.34
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 00:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David O'Brien 2008-06-25 03:10:54 EDT
Description of problem:

The numbering in the TOC in my pdf files is a bit odd, basically like this:

1. Chapter 1
1. Section 1
1.1 Sub-section 1
1.2 Sub-section 2
2. Section 2
2.1 Sub-section 1
2.2 Sub-section 2
3. Section 3
2. Chapter 2
ditto
3. Chapter 3
ditto

In the actual document, the chapters are not numbered; numbering starts at the
first section, so in one respect the TOC is correct, but it's confusing.

Just looking at the TOC, I expected (for the same layout):
1.
1.1.
1.1.1.
1.1.2.
1.2.
1.2.1.
etc.

https://engineering.redhat.com/docbot/en-US/Red_Hat_Enterprise_IPA/1.0/pdf/Administrators_Reference/Administrators_Reference.pdf


This also affects xrefs. Instead of an xref displaying as 'Section 3.1.1.2. "How
to do something"' it actually displays as 'Section 1.1.2. "How to do
something"'. It completely omits the chapter reference.

In the online pdf, the link actually works; i.e., clicking the link takes you to
the correct position in the doc, but it is very confusing to read and in the
hard-copy version there is no way of knowing the correct chapter.

See "Configuring Users and Groups" in
https://engineering.redhat.com/docbot/en-US/Red_Hat_Enterprise_IPA/1.0/pdf/Administration_Guide/Administration_Guide.pdf


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Section 1.1.2. "How to do something"

Expected results:
Section 3.1.1.2. "How to do something"

Additional info:
Comment 1 Jeff Fearn 2008-06-26 00:37:56 EDT
section.label.includes.component.label was not being set. This is now set.

Note You need to log in before you can comment on or make changes to this bug.